
/**
 * 0.0 - Search
 */
.search__panel {
	position: fixed;
	top: 0;
	width: 100%;
	height: 50%;
	display: block;
	z-index: 110;
	overflow: hidden;
	background-color: var(--color-blue);
	transform: translateY(-100%);
	transition: all .6s var(--ease-expo-in-out);
}

@media screen and (max-width: 980px) {
	.search__panel {
		display: none;
	}	
}

.search__panel.active {
	transform: translateY(0%);
}

.search__panel-close {
	position: absolute;
	top: 20px;
	right: 20px;
	width: 50px;
	height: 50px;
	padding: 5px;
	transform: scale(1);
	text-align: center;
	color: var(--color-white);
}

.search__panel-close svg {
	transform: rotate(0deg);
	vertical-align: middle;
	transition: all var(--ease-base);
}

.search__panel-close:hover,
.search__panel-close:focus {
	color: var(--color-white);
}

.search__panel-close:hover svg,
.search__panel-close:focus svg {
	transform: rotate(90deg);	
}

@media screen and (max-width: 980px) {
	.search__panel-close {
		top: 10px;
		right: 10px;
	}
}

.search__mask {
	position: fixed;
	top: 0;
	width: 100%;
	height: 100%;
	display: block;
	z-index: 109;
	visibility: hidden;
	opacity: 0;
	background-color: var(--image-mask-30);
	transform: translateY(-100%);
	transition: all .6s var(--ease-expo-in-out);
}

.search__mask.active {
	opacity: 1;
	visibility: visible;
	transform: translateY(0%);	
}

.search__grid {
	display: grid;
	justify-content: center;
	align-content: center;
	height: 100%;
}

.search__form {
	display: grid;
	justify-items: center;
	align-content: center;
	grid-template-columns: 1fr 60px;
	grid-gap: 10px;
	min-width: 40vw;
	padding: 0 20px;
}

.search__form-label {
	margin: 0;
	padding-top: 15px;
	text-align: center;
	font-size: var(--small-font);
	line-height: 25px;
	font-weight: 400;
	opacity: 0.7;
	color: var(--color-white);
}

.search__form-input {
	width: 100%;
	margin: 0;
	font-size: 2em;
	line-height: 90px;
	border-width: 0 0 1px 0;
	border-radius: 0;
	border-color: var(--color-white-40);
	color: var(--color-white);
}

.search__form-input:hover,
.search__form-input:focus {
	color: var(--color-white);	
	border-color: var(--color-white);
	background-color: transparent;
}

.search__form-input:hover {
	border-color: var(--color-white);
}

.search__form-input::-webkit-input-placeholder {
	color: var(--color-white);
	opacity: 0.5;
}

.search__form-input::-moz-placeholder {
	color: var(--color-white);
	opacity: 0.5;
}

.search__form-input:-ms-input-placeholder {
	color: var(--color-white);
	opacity: 0.5;
}

.search__form-input:-moz-placeholder {
	color: var(--color-white);
	opacity: 0.5;
}

.search__form-button {
	width: 60px;
	height: 60px;
	align-self: center;
	opacity: 0.5;
	color: var(--color-white);
	transform: scale(2);
}

.search__form-button:hover,
.search__form-button:focus {
	opacity: 1;
	color: var(--color-white);
}

@media screen and (max-width: 980px) {
	.search__form-input {
		font-size: 1.8em;
		line-height: 75px;
	}

	.search__form-button {
		transform: scale(1.5);
	}
}

@media screen and (max-width: 767px) {
	.search__form-input {
		font-size: 1.5em;
		line-height: 60px;
	}
	
	.search__form-button {
		transform: scale(1);
	}
}

.mobile-search .search__grid {
	display: block;
}

.mobile-search .search__form {
	justify-items: start;
	align-content: start;
	padding: 0;
	margin-bottom: 40px;
	display: none;
}

.mobile-search .search__form-input {
	font-size: var(--tiny-font);
	text-transform: uppercase;
	letter-spacing: 0.1em;
	line-height: 50px;
	padding: 0 10px;
}

.mobile-search .search__form-label {
	display: none;
}

.mobile-search .search__form-button {
	transform: scale(1);
}

@media screen and (max-width: 980px) {
	.mobile-search .search__form {
		display: grid;
	}
}